package com.mx.cneeds.server.user.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.mx.cneeds.common.annotation.DataFilter;
import com.mx.cneeds.common.pager.PageUtils;
import com.mx.cneeds.server.entity.SysDeptEntity;

import java.util.List;
import java.util.Map;
import java.util.Set;

/**
 * 部门表
 *
 * @author Mark
 * @email sunlightcs@gmail.com
 * @date 2020-01-09 15:09:01
 */
public interface SysDeptService extends IService<SysDeptEntity> {


    List<SysDeptEntity> queryListByPage(Map<String, Object> params);

    List<SysDeptEntity> queryList(Map<String, Object> params);

    PageUtils queryPage(Map<String, Object> params);

    /**
     * 获取子部门ID，用于数据过滤
     */
    List<Long> getSubDeptIdList(Long deptId);

    List<Long> queryDetpIdList(Long parentId);

    List<SysDeptEntity> queryDeptIdsBydeptName(Set<Long> Ids);

    Long queryDeptCount(Map<String, Object> params);

}

